{%- extends "base.njk" %}

{%- block main %}
<h1 class="main__header">Recent Posts</h1> 
<ul class="main__post-list">
{%- for post in collections.post | reverse %}
    <li class="main__post-item">
        <a href="{{ post.url }}">
            <h2 class="main__post-title">{{ post.data.title }}</h2>
            <h3 class="main__post-date">{{ post.data.date.toDateString() }}</h3>
            <p class="main__post-text">{{ post.data.description }}</p>
        </a>
    </li>
{%- endfor %}
</ul>
{%- endblock %}